umbrello: ClassPropertiesDialog Class Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Slots | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ClassPropertiesDialog Class Reference

`#include <classpropertiesdialog.h>`

Inheritance diagram for ClassPropertiesDialog:

## Public Types
enum | Page { page_gen = 0 , page_att , page_op , page_entatt , page_constraint , page_template , page_assoc , page_options , page_color , page_font }
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...

## Public Member Functions
| ClassPropertiesDialog (QWidget *parent, UMLObject *c, bool assoc=false)
| ClassPropertiesDialog (QWidget *parent, ObjectWidget *o)
| ClassPropertiesDialog (QWidget *parent, UMLWidget *o)
| ~ClassPropertiesDialog ()
virtual void | apply ()
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Slots
void | slotOk ()
void | slotApply ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)

## Protected Member Functions
void | setupPages (bool assoc=false)
void | setupGeneralPage ()
void | setupDisplayPage ()
void | setupAttributesPage ()
void | setupOperationsPage ()
void | setupTemplatesPage ()
void | setupEnumLiteralsPage ()
void | setupEntityDisplayPage (EntityWidget *widget)
void | setupEntityAttributesPage ()
void | setupEntityConstraintsPage ()
void | setupContentsPage ()
void | setupAssociationsPage ()
void | setupInstancePages ()
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Private Member Functions
void | init ()

## Private Attributes
ClassGeneralPage * | m_pGenPage
ClassifierListPage * | m_pAttPage
ClassifierListPage * | m_pOpsPage
ClassifierListPage * | m_pTemplatePage
ClassifierListPage * | m_pEnumLiteralPage
ClassifierListPage * | m_pEntityAttributePage
ConstraintListPage * | m_pEntityConstraintPage
PackageContentsPage * | m_pPkgContentsPage
ClassAssociationsPage * | m_pAssocPage
ClassOptionsPage * | m_pOptionsPage
UMLDoc * | m_doc
UMLObject * | m_pObject
UMLWidget * | m_pWidget

## Additional Inherited Members
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Detailed Description

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m

Version
  1.0 Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Enumeration Documentation

## ◆ Page

enum ClassPropertiesDialog::Page

Enumerator
page_gen |
page_att |
page_op |
page_entatt |
page_constraint |
page_template |
page_assoc |
page_options |
page_color |
page_font |

## Constructor & Destructor Documentation

## ◆ ClassPropertiesDialog() [1/3]

ClassPropertiesDialog::ClassPropertiesDialog | ( | QWidget * | parent,
|  | UMLObject * | c,
|  | bool | assoc = false )

Sets up a ClassPropDialog.

Parameters

  parent | The parent of the ClassPropDialog
  c | The UMLObject to display properties of.
  assoc | Determines whether to display associations

## ◆ ClassPropertiesDialog() [2/3]

ClassPropertiesDialog::ClassPropertiesDialog | ( | QWidget * | parent,
|  | ObjectWidget * | o )

Sets up a ClassPropDialog.

Parameters

  parent | The parent of the ClassPropDialog
  o | The ObjectWidget to display properties of.

## ◆ ClassPropertiesDialog() [3/3]

ClassPropertiesDialog::ClassPropertiesDialog | ( | QWidget * | parent,
|  | UMLWidget * | w )

Sets up a ClassPropDialog.

Parameters

  parent | The parent of the ClassPropDialog
  w | The UMLWidget to display properties of.

## ◆ ~ClassPropertiesDialog()

ClassPropertiesDialog::~ClassPropertiesDialog | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

void ClassPropertiesDialog::apply | ( |  | ) |
| virtual

Calls slotApply()

## ◆ init()

void ClassPropertiesDialog::init | ( |  | ) |
| private

## ◆ setupAssociationsPage()

void ClassPropertiesDialog::setupAssociationsPage | ( |  | ) |
| protected

Sets up the page "Associations" for the component.

## ◆ setupAttributesPage()

void ClassPropertiesDialog::setupAttributesPage | ( |  | ) |
| protected

Sets up the page "Attributes" for the component.

## ◆ setupContentsPage()

void ClassPropertiesDialog::setupContentsPage | ( |  | ) |
| protected

Sets up the page "Contents" for the component.

## ◆ setupDisplayPage()

void ClassPropertiesDialog::setupDisplayPage | ( |  | ) |
| protected

Sets up the page "Display" for the component.

## ◆ setupEntityAttributesPage()

void ClassPropertiesDialog::setupEntityAttributesPage | ( |  | ) |
| protected

Sets up the page "Entity Attributes" for the component.

## ◆ setupEntityConstraintsPage()

void ClassPropertiesDialog::setupEntityConstraintsPage | ( |  | ) |
| protected

Sets up the page "Entity Constraints" for the component.

## ◆ setupEntityDisplayPage()

void ClassPropertiesDialog::setupEntityDisplayPage | ( | EntityWidget * | widget | ) |
| protected

Sets up the page "Display" for the component.

## ◆ setupEnumLiteralsPage()

void ClassPropertiesDialog::setupEnumLiteralsPage | ( |  | ) |
| protected

Sets up the page "Enum Literals" for the component.

## ◆ setupGeneralPage()

void ClassPropertiesDialog::setupGeneralPage | ( |  | ) |
| protected

Sets up the page "General" for the component.

## ◆ setupInstancePages()

void ClassPropertiesDialog::setupInstancePages | ( |  | ) |
| protected

Sets up the general page for the component.

## ◆ setupOperationsPage()

void ClassPropertiesDialog::setupOperationsPage | ( |  | ) |
| protected

Sets up the page "Operations" for the component.

## ◆ setupPages()

void ClassPropertiesDialog::setupPages | ( | bool | assoc = false | ) |
| protected

Sets up the general, attribute, operations, template and association pages as appropriate.

## ◆ setupTemplatesPage()

void ClassPropertiesDialog::setupTemplatesPage | ( |  | ) |
| protected

Sets up the page "Templates" for the component.

## ◆ slotApply

void ClassPropertiesDialog::slotApply | ( |  | ) |
| protectedslot

Applies the settings in the dialog to the widget and object.

## ◆ slotOk

void ClassPropertiesDialog::slotOk | ( |  | ) |
| protectedslot

Calls slotApply() and accepts (closes) the dialog.

## Member Data Documentation

## ◆ m_doc

UMLDoc* ClassPropertiesDialog::m_doc
| private

## ◆ m_pAssocPage

ClassAssociationsPage* ClassPropertiesDialog::m_pAssocPage
| private

## ◆ m_pAttPage

ClassifierListPage* ClassPropertiesDialog::m_pAttPage
| private

## ◆ m_pEntityAttributePage

ClassifierListPage* ClassPropertiesDialog::m_pEntityAttributePage
| private

## ◆ m_pEntityConstraintPage

ConstraintListPage* ClassPropertiesDialog::m_pEntityConstraintPage
| private

## ◆ m_pEnumLiteralPage

ClassifierListPage* ClassPropertiesDialog::m_pEnumLiteralPage
| private

## ◆ m_pGenPage

ClassGeneralPage* ClassPropertiesDialog::m_pGenPage
| private

## ◆ m_pObject

UMLObject* ClassPropertiesDialog::m_pObject
| private

## ◆ m_pOpsPage

ClassifierListPage* ClassPropertiesDialog::m_pOpsPage
| private

## ◆ m_pOptionsPage

ClassOptionsPage* ClassPropertiesDialog::m_pOptionsPage
| private

## ◆ m_pPkgContentsPage

PackageContentsPage* ClassPropertiesDialog::m_pPkgContentsPage
| private

## ◆ m_pTemplatePage

ClassifierListPage* ClassPropertiesDialog::m_pTemplatePage
| private

## ◆ m_pWidget

UMLWidget* ClassPropertiesDialog::m_pWidget
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/classpropertiesdialog.h
- umbrello/dialogs/classpropertiesdialog.cpp